# BZFlag rpm spec file
#
# Copyright (c) 1993 - 2001 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

%define name bzflag
%define version 1.7e0
%define release 2

%define bzbindir	/usr/X11R6/bin
%define bzdatadir	/usr/share/%{name}/
%define bzmandir	/usr/share/man
%define bzdocdir	/usr/share/doc/%{name}-%{version}

name:		%{name}
version:	%{version}
release:	%{release}
group:		Recreation/Action
copyright:	Copyright (c) 1993 - 2001 Tim Riker
packager:	Tim Riker <Tim@Rikers.org>
url:		http://BZFlag.SourceForge.net/
summary:	multiplayer 3D tank battle game
source:		http://download.SourceForge.net/bzflag/%{name}-%{version}.tgz
buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

# all we want here is to remove glide, but RPM does not provide a way. ;-(
# [crs -- mesa 3.1 now uses libGL.so.1 and libGLU.so.1.  also, linking
#  against a mesa built without glide support avoids the glide dependency.]
#autoreqprov: no
#requires: ld-linux.so.2 libMesaGL.so.3 libMesaGLU.so.3 libX11.so.6
#requires: libXext.so.6 libc.so.6 libm.so.6 libstdc++.so.2.9

%description
BZFlag is a networked multiplayer 3D tank battle game, combining
both fast action and strategy.  Free-for-all and capture-the-flag
styles are available.

%prep
%setup -q

%build
%ifarch ppc
make linux-ppc
%else
%ifarch i386 i486 i586 i686
make linux-i386
%else
make linux
%endif
%endif
make ACXXOPTS="$RPM_OPT_FLAGS" ACOPTS="$RPM_OPT_FLAGS"		\
	INSTALL_DATA_DIR=%{bzdatadir}				\
	all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{bzdocdir}
mkdir -p $RPM_BUILD_ROOT%{bzbindir}
mkdir -p $RPM_BUILD_ROOT%{bzdatadir}
mkdir -p $RPM_BUILD_ROOT%{bzmandir}/man6
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 package/rpm/README.linux $RPM_BUILD_ROOT%{bzdocdir}/README
install -m644 LICENSE $RPM_BUILD_ROOT%{bzdocdir}
install -m644 man/*.6 $RPM_BUILD_ROOT%{bzmandir}/man6
gzip $RPM_BUILD_ROOT%{bzmandir}/man6/*.6
install -m644 data/*.rgb data/*.wav $RPM_BUILD_ROOT%{bzdatadir}
# note bzfls/bzfrelay/bzfs might want to live in /usr/bin/
install bin/* $RPM_BUILD_ROOT%{bzbindir}

%clean
rm -rf $RPM_BUILD_ROOT

# note -- bzflag must be setuid root to use 3Dfx drivers without /dev/3dfx
%files
%defattr(-,root,root)
%dir %{bzdocdir}
%dir %{bzdatadir}
%dir %{bzdatadir}/*
%doc %{bzdocdir}/*
%doc %{bzmandir}/man6/*
%attr(755,root,root) /usr/X11R6/bin/*

%changelog
* Tue Feb 13 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.7e0
- minor spec tweaks: %%{_tmppath} used

* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.7d.9
- little spec tweaking
- RPM_OPT_FLAGS used in compilation

* Thu Sep  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated with patch 2 from Jul 28 1999 (solaris sound support)

* Fri Jun 25 1999 Peter Hanecak <hanecak@megaloman.sk>
- changed original spec so building is possible with it
(%prep, %build, %install, %clean)
- %dir /usr/local/bzflag
